/*
 *
 * ATM Switch Viewer - SWView
 * 	by miwa@mt.cs.keio.ac.jp, 1997
 * $Id: swview_fd.h,v 1.1 1998/03/17 05:02:13 miwa Exp $
 *
 */
#ifndef FD_swview_switch_h_
#define FD_swview_switch_h_
/* Header file generated with fdesign. */

/**** Callback routines ****/

extern void swview_vcc_act(FL_OBJECT *, long);
extern void swview_refresh_act(FL_OBJECT *, long);
extern void swview_close_act(FL_OBJECT *, long);


extern void swview_open_act(FL_OBJECT *, long);
extern void swview_exit_act(FL_OBJECT *, long);


extern void swview_dismiss_act(FL_OBJECT *, long);
extern void swview_polling_act(FL_OBJECT *, long);



/**** Forms and Objects ****/

typedef struct {
	FL_FORM *swview_switch;
	void *vdata;
	long ldata;
	FL_OBJECT *swview_vcc_browser;
	FL_OBJECT *swview_switchname_text;
	FL_OBJECT *swview_refresh_button;
	FL_OBJECT *swview_close_button;
} FD_swview_switch;

extern FD_swview_switch * create_form_swview_switch(void);
typedef struct {
	FL_FORM *swview_yesno;
	void *vdata;
	long ldata;
	FL_OBJECT *swview_question_text;
	FL_OBJECT *swview_ok_button;
	FL_OBJECT *swview_cancel_button;
} FD_swview_yesno;

extern FD_swview_yesno * create_form_swview_yesno(void);
typedef struct {
	FL_FORM *swview_main;
	void *vdata;
	long ldata;
	FL_OBJECT *swview_open_input;
	FL_OBJECT *swview_exit_button;
} FD_swview_main;

extern FD_swview_main * create_form_swview_main(void);
typedef struct {
	FL_FORM *swview_alert;
	void *vdata;
	long ldata;
	FL_OBJECT *swview_ok_button;
	FL_OBJECT *swview_alert_text;
} FD_swview_alert;

extern FD_swview_alert * create_form_swview_alert(void);
typedef struct {
	FL_FORM *swview_status;
	void *vdata;
	long ldata;
	FL_OBJECT *swview_dismiss_button;
	FL_OBJECT *swview_vcc_text;
	FL_OBJECT *swview_upc_text;
	FL_OBJECT *swview_traffic_chart;
	FL_OBJECT *swview_polling_timer;
	FL_OBJECT *swview_maxcells_text;
	FL_OBJECT *text;
	FL_OBJECT *swview_centercells_text;
	FL_OBJECT *swview_nowcells_text;
} FD_swview_status;

extern FD_swview_status * create_form_swview_status(void);
typedef struct {
	FL_FORM *swview_vcc;
	void *vdata;
	long ldata;
	FL_OBJECT *inPort;
	FL_OBJECT *inVPI;
	FL_OBJECT *inVCI;
	FL_OBJECT *outPort;
	FL_OBJECT *outVPI;
	FL_OBJECT *outVCI;
	FL_OBJECT *use_upc_button;
	FL_OBJECT *pcr01;
	FL_OBJECT *scr01;
	FL_OBJECT *pcr0;
	FL_OBJECT *scr0;
	FL_OBJECT *mbs0;
	FL_OBJECT *mbs01;
	FL_OBJECT *ok_button;
	FL_OBJECT *cancel_button;
	FL_OBJECT *aal5epd;
	FL_OBJECT *vcc_aal5epd_off;
	FL_OBJECT *vcc_aal5epd_on;
	FL_OBJECT *upc_act;
	FL_OBJECT *upc_act_drop;
	FL_OBJECT *upc_act_tag;
	FL_OBJECT *vcc_title;
	FL_OBJECT *cdvt;
	FL_OBJECT *upc_act_text;
	FL_OBJECT *aal5epd_text;
	FL_OBJECT *choice;
	FL_OBJECT *clear_button;
} FD_swview_vcc;

extern FD_swview_vcc * create_form_swview_vcc(void);

#endif /* FD_swview_switch_h_ */
